Bug 1426278 - [DS 10.1.1] Document enabling nunc-stans
Summary: [DS 10.1.1] Document enabling nunc-stans
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-release-notes
Version: 10.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Marc Muehlfeld
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1425467
TreeView+ depends on / blocked
 
Reported: 2017-02-23 15:30 UTC by mreynolds
Modified: 2017-05-29 09:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Directory Server now uses the *nunc-stans* framework The *nunc-stans* event-based framework has been integrated into Directory Server. Previously, the performance could be slow when many simultaneous incoming connections were established to Directory Server. With this update, the server is able to handle a significantly larger number of connections without performance degradation.
Clone Of:
Environment:
Last Closed: 2017-05-29 09:51:31 UTC


Attachments (Terms of Use)

Description mreynolds 2017-02-23 15:30:57 UTC
Description of problem:

The nunc-stans event framework for connection handling is going to be enabled by default (starting in rhel 7.4).  This might be more a release note item - I'll leave that up to the doc folks.

Design doc:

http://www.port389.org/docs/389ds/design/nunc-stans.html

Comment 1 wibrown@redhat.com 2017-03-13 00:53:55 UTC
I think it's a release note.

Comment 5 Robert Krátký 2017-04-24 10:02:42 UTC
Tiny correction in the RN text.

Comment 6 Marc Muehlfeld 2017-05-29 09:51:31 UTC
The release note of this 389-ds-base enhancement has been published in the RHEL 7.4 beta release notes:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7-Beta/html/7.4_Release_Notes/index.html


Note You need to log in before you can comment on or make changes to this bug.